it-swarm-ja.com

openSuse:煩わしい「認証が必要」ダイアログを自動更新から取り除く方法

この煩わしいダイアログ「Authentication Required」は、KDEにログインするたびにポップアップし始め、システムリポジトリを更新するためにrootパスワードを要求しました。 1分ほどで自動的に消え、その後「更新失敗」トレイ通知が表示されますが、これもすぐに消えます。それはブロッカーではなく、ただ専門的にいらいらして不快に見えます。これを取り除く方法は?

以下の理由により、KDE ​​/ Gnomeの相互運用性と関係があるはずです。

  • プライマリKDEと一緒にGnomeをインストールした後にのみ表示され始めました
  • gnomeにログインすると、認証は不要
  • ダイアログはGnomeからのように見えます(KDEのパスワードUIは異なっています)

enter image description here

ポップアップダイアログには次のように表示されます(上のスクリーンショットが表示されない場合):

システムリポジトリを更新するには認証が必要です。
アクション:システムリポジトリを更新してください
 org.freedesktop.packagekit.system-sources-refresh 
ベンダー:PackageKitプロジェクト。
 polkit.subject-pid:xxxx 
 polkit.caller-pid:xxxx 
6
Espinosa

OpenSUSEフォーラムで役立つアドバイスを受け取りました: https://forums.opensuse.org/showthread.php/531458-Authentication-Required-how-to-get-rid-of-this-annoying-dialog -毎回ログイン後
nrickertへのクレジット。

おそらくGnome/KDEの相互運用性の問題ではありません。プロセスに従って、パスワードを入力すると、標準のKDEシステムアップデートチェックのように見えました。

最も簡単な回避策は、KDEで定期的な更新をオフにすることです。
トレイ(右下)を右クリックします。 「システムトレイ設定」をクリックします。 「ソフトウェアアップデート」のチェックボックスをオフにします。

enter image description here

enter image description here

https://forums.opensuse.org/showthread.php/531458-Authentication-Required-how-to-get-rid-of-this-annoying-dialog-after-every-login

4
Espinosa